GBKER(1)

NAME
gbker - Produce kernel density estimation

SYNOPSIS
gbker [options]

DESCRIPTION
Compute the kernel density estimation on an equispaced grid. Data are read from standard input. The kernel bandwidth, if not provided with the option -H, is set automatically using simple heuristics. Normally the whole support is displayed. The option -w can be used to restrict the computation to specific range of values. The method used to compute the density is set by the option -M. The boundaries of the grid are slightly different in the different cases.

OPTIONS

-n  number of equispaced points/bins where the density is computed (default 64)

-w  set the grid boundaries with min,max (default whole support)

-H  set the kernel bandwidth

-S  scale the automatic kernel bandwidth

-K  choose the kernel to use (default 0)

0   Epanenchnikov

1   Rectangular

2   Gaussian

3   Laplacian

-M  choose the method for density computation (default 0)

0   use FFT (# grid points rounded to nearest power of 2)

1   use discrete convolution (compact kernels only; bins>2)

2   explicit summation (boundaries excluded)

-F  specify the input fields separators (default " \t")

EXAMPLES

gbker -n 128 -K 2 < file
    use a Gaussian kernel to compute the density on 128 equispaced points with the FFT approach. All the data in 'file' are used, multiple columns are pooled.

gbker -K 3 -M 2 < file
    use a Laplacian kernel to compute the density on 64 points. The method used is the explicit summation.

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.